Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IEvent Class Reference
Event

Interface to the common Event properties. More...

`#include <Event.h>`

Inheritance diagram for Argus::IEvent:

List of all members.

## Public Member Functions
virtual EventType | getEventType () const =0
| Returns the event type.
virtual uint64_t | getTime () const =0
| Returns the time of the event, in nanoseconds.
virtual uint32_t | getCaptureId () const =0
| Returns the capture id for the event.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IEvent ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to the common Event properties.

Definition at line 118 of file Event.h.

## Constructor & Destructor Documentation

Argus::IEvent::~IEvent | ( |  | ) |
| inline protected

Definition at line 139 of file Event.h.

## Member Function Documentation

virtual uint32_t Argus::IEvent::getCaptureId | ( |  | ) | const
| pure virtual

Returns the capture id for the event.

virtual EventType Argus::IEvent::getEventType | ( |  | ) | const
| pure virtual

Returns the event type.

virtual uint64_t Argus::IEvent::getTime | ( |  | ) | const
| pure virtual

Returns the time of the event, in nanoseconds.

static const InterfaceID& Argus::IEvent::id | ( |  | ) |
| inline static

Definition at line 121 of file Event.h.

The documentation for this class was generated from the following file:

- include/Argus/Event.h